<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("pag" . "e_i" . "d" => base64_decode("cGFnZV9pZ" . "A=="), "_69c6236c927bc93c5d06207" . "4967d834d" => base64_decode("cGFnZV92ZXJzaW9" . "u"), "_2aef71f103069bdb72b57d0b3bd1" . "d294" => base64_decode("Q2Fubm90IGRpc3BsYXkgY29tbWVudHMgLSBwYWdlIG5vdCBpZGVud" . "GlmaWVk"), "_1a6a10b" . "d09998ad" . "0ae2a2b4" . "e0fd966e" . "8" => base64_decode("U0NSSVBUX" . "1VSSQ=="));
class PublishCommentsComponent extends ClaCommentsComponent
{
    public function Show($attributes)
    {
        $_b2e2301cda45361416cebc466d340194 = PublishBrowser::Instance();
        $page_id = $_b2e2301cda45361416cebc466d340194->GetPageIdByUrl($_SERVER[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_1a6a10bd0999" . "8ad0ae2a2b4e0" . "fd966e8"]]);
        if ($page_id < 0) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_2aef71f103069bdb72b57d0b3bd1d" . "294"];
        }
        $attributes[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["page_i" . "d"]] = $page_id;
        return parent::Show($attributes);
    }
    public function GetCommentsObject($attributes)
    {
        $comments = new PublishComments($attributes[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["pa" . "ge" . "_i" . "d"]], $attributes[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_69c6236c927bc93c5d06" . "2074967d834d"]]);
        return $comments;
    }
}